Subject: Re: [Ospf-manet] Re: Ospf-manet Digest, Vol 10, Issue 8

From: Richard Ogier <[email-masked]>
Date: Sun, 01 Oct 2006 07:47:33 -0700

Henderson, Thomas R wrote:

> 
>
>>The problem is, as I see it, that there simply won't be any 
>>more for the
>>moment. In other words--no-one, at least on the OR side, is 
>>putting any
>>more effort into the work, since there is no apparent commercial
>>interest beyond what's been implemented to do that further work.
>>
>
>If your company is not putting more work into it, and there is no other
>commercial interest expressed to do more work on this topic or to
>implement this, then I agree that it begs the question of whether we
>need to actively continue.
>

Tom, I think I understand better now what Russ is saying. I think he is
saying that their clients are happy with the OR solution they
have already implemented, so there is no need for further work on
OSPF-MANET (including MDRs).  Now it makes sense that the OR team is
interested in standardizing their solution.  This is consistent with your
original message in which you said

> but if the decision is that one vendor has implemented their
> approach and they don't see any reason to switch and will just make sure
> that the outcome will eventually bless it as the standard, why bother?

Just because a client is happy with an existing solution is
obviously NOT a good reason to accept this solution and stop
further work on OSPF-MANET.
I hope the OSPF WG will select the best solution based
on a fair comparison, rather than be driven by politics.

Richard

>
>
>Tom
>
>_______________________________________________
>Ospf-manet mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ospf-manet
>
>

_______________________________________________
Ospf-manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-manet

---

From: Russ White <[email-masked]>
Date: Sun, 01 Oct 2006 11:47:55 -0400

> on a fair comparison, rather than be driven by politics.

Again, the position I think we are in is:

- -- We don't know if neighbor reduction, as one specific point, is
acceptable in all environments.

- -- A large part of the discussion to this point has revolved around
neighbor reduction.

- -- There is no drive for further commercial implementations, so there's
little in the way of options to resolve this question at this time, IMHO.

Now, you can read that as politics, if you want to Richard. I read that
as: "We don't know if the solutions proposed so far will actually meet
the requirements we will face in the field, so we should wait before
moving into a draft standard state with any draft."

Now, on the other hand, if you can show me that all users say that
neighbor reduction, for instance, is acceptable in all environments--as
well as covering all other possible requirements.... I don't know that
we know what the requirements are, in reality. We're making broad
assumptions that are radically different than the assumptions made when
the design team was formed (neighbor reduction might be nice, but you
can't count on it, etc.).

Do you have a requirements document you can point to, Richard?

:-)

Russ

- --
[email-masked] CCIE <>< Grace Alone

---

From: Philippe Jacquet <[email-masked]>
Date: Sun, 01 Oct 2006 18:28:16 +0200

Even if we go to experimental, it seems that only OR and OSPF-MPR would 
a priori fit. The MDR proposal would need to be very deeply reworked. 
Now it looks more like a patchwork of optional recipes, some of them 
unecessarily complex, none based on matured background or diversified 
experimentation. The draft as it is, seems to contain one hundred 
protocols and  the inflation will lilely continue as far as I understand. 

OR and OSPF-MPR show at least a unity and present clear solutions which 
can be exploited, and are based on elements that have already received 
considerable attention in the past.

BTW if you fix the objective to synchronize all links, the MDR concept 
will loose any benefit. 

Best regards,
Philippe

Richard Ogier wrote:

> Russ White wrote:
>
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>>
>>
>>>> The problem is, as I see it, that there simply won't be any more 
>>>> for the
>>>> moment. In other words--no-one, at least on the OR side, is putting 
>>>> any
> If one considers OSPF to be an important routing standard, and one
> considers the MANET interface to be an important interface type
> in networks that use IP routing (which I believe is true), then
> it makes sense to extend OSPF to support the MANET interface.
> Many of us knew from the beginning that such an extension would
> be useful for military applications, but it will likely be useful
> for many other applications in the next 10 years.
> Build it and they will come.
>
> One example is the recent contract between Cisco, IBM, and Google for
> building a wireless mesh that covers much of the SF Bay Area.
> http://www.networkworld.com/news/2006/090506-cisco-ibm-wireless.html
> I'm not sure what routing protocol will be used for this, but it
> indicates that a MANET extension of OSPF is likely to be useful
> in the future.
>
>>>
>>
>> That's my understanding, as of a meeting about a week ago.... Which is
>> why, perhaps, retrenching, going experimental, and considering our
>> options is maybe a better option at this point (?).
>>
>
> With all the recent comments from Cisco, there must be *some* interest
> in such an extension.  But I still think we will progress faster if
> we focus on a single solution, one that belongs to the WG rather than
> a proprietary solution that is under the control of one company.
>
> If we do go with two experimental drafts, then we need to make sure
> we agree on a plan to compare the solutions in a fair manner.
> But we already had such a plan, and some are not cooperating with
> the plan as Tom has pointed out.  I really think we should agree
> on a *single* extension of OSPF for MANETs.  I think we pretty
> much agree on the objectives, and different tradeoffs between
> different objectives (such as robustness versus overhead) can
> be achieved by selecting parameter values within a *single*
> solution (e.g., using biconnected adjacencies versus uniconnected
> adjacencies, or even full-topology adjacencies).
>
> I think there will be multiple standards for MANET routing, i.e.,
> OSPF-MANET and a non-OSPF MANET protocol.  But there should be
> only one standard for OSPF-MANET.
>
> Richard
>
>>
>>
>> :-)
>>
>> Russ
>>
>> - --
>> -----BEGIN PGP SIGNATURE-----
>> Version: GnuPG v1.4.2.2 (MingW32)
>> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
>>
>> iD8DBQFFHZZDER27sUhU9OQRAkQaAJ9W621disbpXQX282IDClekNKDo6ACg8mvp
>> ik+Xo7w1g3+AcMBTUfthFRw=
>> =KyHe
>> -----END PGP SIGNATURE-----
>>

---

From: Acee Lindem <[email-masked]>
Date: Mon, 02 Oct 2006 11:03:27 -0400

Russ,
See correction inline...

> - -- A large part of the discussion to this point has revolved around
Of course, it is adjacency reduction you are questioning. All the proposals
maintain state on all 2-hop neighbors.
Thanks,
Acee

> iD8DBQFFH+MrER27sUhU9OQRAg//AJ9P9yCeF32aVM8siTN0doKifhSL5ACfY8XQ
> A977haMjScvHjjBaTzQx2l0=
> =/8OO

---

From: Acee Lindem <[email-masked]>
Date: Mon, 02 Oct 2006 11:07:21 -0400

Philippe,
Philippe Jacquet wrote:
> Even if we go to experimental, it seems that only OR and OSPF-MPR 
> would a priori fit. 
Given that we have implementation and simulation experience with
the OR and OSPF-MDR drafts, these are the ones we'd consider.

> The MDR proposal would need to be very deeply reworked. 
Not for experiemental status. For standards track, it would need to
be pruned to the a proper subset.

Thanks,
Acee

> OR and OSPF-MPR show at least a unity and present clear solutions 
> which can be exploited, and are based on elements that have already 
> received considerable attention in the past.
>

---

From: Richard Ogier <[email-masked]>
Date: Mon, 02 Oct 2006 08:41:02 -0700

Russ,

As I mentioned, a single OSPF extension can be flexible enough
to work in all (or almost all) environments.  If adjacency reduction
is not appropriate for some environments, OSPF-MDR can include the
option of full topology adjacencies, as has been discussed.
This might not be the ideal solution for full topology
adjacencies, but Boeing's simulations show it is as good
as any in terms of performance, and we get the benefit of
a single flexible protocol for a wide range of environments.

In general, we pretty much know the objectives, which include
low overhead and robustness.  Again, a single flexible protocol
can support different environments with different objectives.
For example, one can choose uniconnected, biconnected, or full
topology adjacencies to achieve different levels of robustness.

Also, we are extending OSPF, and OSPF already does topology
reduction for broadcast networks.  So it makes sense that
OSPF-MANET should at least allow the option of adjacency
reduction for MANETs.

Richard

P.S.  I haven't had time to read the other messages that were
posted on Sunday but will try to do so later today.

---

From: Richard Ogier <[email-masked]>
Date: Mon, 02 Oct 2006 10:14:23 -0700

Philippe,

As you can see, Aniket and I (and I am sure several others) disagree
with you. Au contraire, the MDR proposal is the only one that started
with OSPF and asked "what is the best way to extend OSPF to support MANETs".
MPRs were invented without even thinking about OSPF (I know that OSPF is
not your background), and now you are trying to fit them in because you
have a special interest in MPRs.
Aniket once told me that if OSPF were originally designed for wireless,
they would have taken the same MDR approach. I am hoping that people who
understand and appreciate OSPF will agree with this.  In a future message,
I will explain further why the MDR approach is a "natural" way to extend
OSPF.

Richard

Philippe Jacquet wrote:

> would a priori fit. The MDR proposal would need to be very deeply 
> reworked. Now it looks more like a patchwork of optional recipes, some 
> of them unecessarily complex, none based on matured background or 
> diversified experimentation. The draft as it is, seems to contain one 
> hundred protocols and  the inflation will lilely continue as far as I 
> understand.

---

From: Russ White <[email-masked]>
Date: Mon, 02 Oct 2006 16:56:27 -0400

> with OSPF and asked "what is the best way to extend OSPF to support

Richard, I wouldn't impose motivations on other people, unless you
really know what they are. This line of pushing things forward is no
more useful than the "natural" nonsense.

:-)

Russ

- --